Glib::Threads::RWLock::ReaderLock Class Reference
Threads

Utility class for exception-safe locking of read/write locks. More...

`#include <glibmm/threads.h>`

## Public Member Functions

| ReaderLock (RWLock& rwlock)
| ReaderLock (RWLock& rwlock, NotLock)
| ReaderLock (RWLock& rwlock, TryLock)
| ~ReaderLock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of read/write locks.

## Constructor & Destructor Documentation

Glib::Threads::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock | ) |

inline explicit

Glib::Threads::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock,
|  | NotLock |
| ) |  |

inline

Glib::Threads::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock,
|  | TryLock |
| ) |  |

inline

Glib::Threads::RWLock::ReaderLock::~ReaderLock | ( |  | ) |

inline

## Member Function Documentation

void Glib::Threads::RWLock::ReaderLock::acquire | ( |  | ) |

inline

bool Glib::Threads::RWLock::ReaderLock::locked | ( |  | ) | const

inline

void Glib::Threads::RWLock::ReaderLock::release | ( |  | ) |

inline

bool Glib::Threads::RWLock::ReaderLock::try_acquire | ( |  | ) |

inline